/* -*- Mode: Javascript; tab-width: 2; c-basic-offset: 2; -*-
 * 
 *
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is jslib team code.
 * The Initial Developer of the Original Code is jslib team.
 *
 * Portions created by Mozdev Group, Inc. are
 * Copyright (C) 2003 Mozdev Group, Inc.  All
 * Rights Reserved.
 *
 * Original Author: 
 * Contributor(s):
 *
 *  $Id: install.js.in,v 1.3 2006/07/03 08:25:14 ajvincent Exp $
 *  Last Edited by: $Author: ajvincent $
 *  $Revision: 1.3 $
 *  $Date: 2006/07/03 08:25:14 $
 */

const G_VER             = "0.5.2";
const G_MSG             = "xulwidgets v"+G_VER;
const G_NAME            = "xulwidgets";
const G_CHROME          = "Chrome";
const G_USER            = "Current User";
const G_RT              = "xulwidgets";

const G_CHROME_DIR      = getFolder(G_USER, "chrome");
 
var err = initInstall(G_MSG, G_NAME, G_VER); 

logComment("initInstall: " + err);

Install.setPackageFolder(Install.getFolder("Chrome"));
var targetDir = Install.getFolder("Chrome", G_RT);
File.dirCreate(targetDir);

addDirectory(G_NAME + " content",        "chrome/content",      targetDir, "content/");
addDirectory(G_NAME + " skin",           "chrome/skin",         targetDir, "skin/");
addDirectory(G_NAME + " locale (en-US)", "chrome/locale/en-US", targetDir, "locale/en-US/");
logComment("Chrome copied");

logComment("registerChrome: " + 
           Install.registerChrome(CONTENT, targetDir, "content/"));
logComment("registerChrome: " + 
           Install.registerChrome(SKIN,    targetDir, "skin/"));
logComment("registerChrome: " + 
           Install.registerChrome(LOCALE,  targetDir, "locale/en-US/"));

err = getLastError();

if (err==SUCCESS)
    performInstall(); 
else
    cancelInstall(err);
